# Read a node.

> https://koi.dog/docs/api/nodes/get-node/

`GET /api/v1/nodes/{id}` · Scope: `read`

No query parameters.

## Path parameters.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | yes | The machine's id. |

## Response.

200 OK: a `Node`. The example has placeholder values.

## Request.

```sh
curl "https://app.koi.dog/api/v1/nodes/$ID" \
    -H "Authorization: Bearer $KOIDOG_API_KEY"
```

```js
const res = await fetch(`https://app.koi.dog/api/v1/nodes/${process.env.ID}`, {
  headers: {
    Authorization: `Bearer ${process.env.KOIDOG_API_KEY}`,
  },
});
console.log(await res.json());
```

```python
import os

import requests

r = requests.get(
    f"https://app.koi.dog/api/v1/nodes/{os.environ['ID']}",
    headers={
        "Authorization": f"Bearer {os.environ['KOIDOG_API_KEY']}",
    },
)
r.raise_for_status()
print(r.json())
```

## Response example.

```json
{
  "id": "string",
  "kind": "mac",
  "name": "string",
  "state": "pending",
  "maxAgents": 0,
  "acceptsTasks": false,
  "workspaceRoot": "string",
  "pairedAt": "string",
  …
}
```
